DUB-LIST(1)

NAME
dub-list - Prints a list of all or selected local packages dub is aware of

SYNOPSIS
dub list [<package>[@<version-spec>]] OPTIONS...

DESCRIPTION
Prints a list of all or selected local packages. This includes all cached packages (user or system wide), all packages in the package search paths ("dub add-path") and all manually registered packages ("dub add-local"). If a package (and optionally a version spec) is specified, only matching packages are shown.

OPTIONS

  COMMON OPTIONS
See dub(1)

EXIT STATUS

0   DUB succeeded

1   usage errors, unknown command line flags

2   package not found, package failed to load, miscellaneous error

FILES
dub.sdl, dub.json

AUTHOR
Copyright (c) 1999-2025 by The D Language Foundation

ONLINE DOCUMENTATION
http://code.dlang.org/docs/commandline

SEE ALSO
dub(1), dub-search(1)